package com.ssj.service.conch.conch.request;


import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class RephotoReq extends BaseRequest {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "homeworkId", value = "图片id", required = true)
    private String homeworkId;
    
	@ApiModelProperty(name = "oldFileKey", value = "旧图片的路径", required = true)
    private String oldFileKey;

	@ApiModelProperty(name = "newFileKey", value = "旧图片的路径", required = true)
	private String newFileKey;
	
	@ApiModelProperty(name = "derverFileId", value = "小熟相机新图片本地fileId", required = false)
	private String derverFileId;

	public String getHomeworkId() {
		return homeworkId;
	}

	public void setHomeworkId(String homeworkId) {
		this.homeworkId = homeworkId;
	}

	public String getOldFileKey() {
		return oldFileKey;
	}

	public void setOldFileKey(String oldFileKey) {
		this.oldFileKey = oldFileKey;
	}

	public String getNewFileKey() {
		return newFileKey;
	}

	public void setNewFileKey(String newFileKey) {
		this.newFileKey = newFileKey;
	}

	public String getDerverFileId() {
		return derverFileId;
	}

	public void setDerverFileId(String derverFileId) {
		this.derverFileId = derverFileId;
	}
	
}
